Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Oct 2021 00:47:45 -0700

Eli Zaretskii <[email-masked]> writes:

>> > It's a user option, so we shouldn't add things to it dynamically, but we
>> > could add a default that excludes these files.  The problem is, though,
>> > that that would be a very complex regexp matching everything that
>> > arc/tar/image modes covers, which is quite a lot.
>>
>> Shouldn't we rather have a defcustom to ignore certain major modes?
>> The name could be `dabbrev-ignored-major-modes'.
>
> I don't necessarily object, but don't the existing defcustom's already
> cover that, via buffer names?  We shouldn't over-engineer this, I
> think.

Yes, let's try to avoid over-engineering.  This proposal was mostly just
an alternative idea that might allow us to avoid adding some hairy
and/or brittle regexps.